#pragma once

#include "CoreMinimal.h"
#include "ItemData.h"
#include "UObject/SoftObjectPtr.h"
#include "ESkillCategory.h"
#include "SkillProperties.generated.h"

class USkillData;

USTRUCT(BlueprintType)
struct FSkillProperties : public FItemData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<USkillData> SkillData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ESkillCategory SkillCategory;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsUnlockable;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsCommonToRole;

public:
	DEADBYDAYLIGHT_API FSkillProperties();
};

FORCEINLINE uint32 GetTypeHash(const FSkillProperties) { return 0; }
